<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Hibernate</title>
</head>
<body>
    <div align="center">
        <h1>New</h1>

        <form method="post" th:object="${user}">

            <label>Username</label>
            <input type="text" th:field="*{username}"  /><br />

            <label>Email</label>
            <input type="text" th:field="*{email}" /><br />

            <label>Password</label>
            <input type="text" th:field="*{password}" /><br />

            <label>ROLE</label>
            <select th:field="*{roles}" multiple="multiple">
                <option th:each="rol : ${roleList}"
                        th:value="${rol.name}"
                        th:text="${rol.name}">
                </option>
            </select>

            <label>Enabled</label>
            <input type="checkbox" th:field="*{enabled}" /><br />

            <input type="submit" value="save" />
        </form>

    </div>
</body>
</html>